Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 114948 - repoman should validate whitespace around operators in metadata strings
Summary: repoman should validate whitespace around operators in metadata strings
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High trivial (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 115839
  Show dependency tree
 
Reported: 2005-12-08 20:14 UTC by chkno
Modified: 2006-01-27 19:25 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Fix the 44 ebuilds in the tree as of 20051208 (portage-ebuilds-whitespace-in-depends-and-licenses-20051208.patch,19.47 KB, patch)
2005-12-08 20:15 UTC, chkno
Details | Diff
Make repoman validate whitespace around operators in metadata strings (portage-repoman-whitespace-around-pipes-and-parens.patch,952 bytes, patch)
2005-12-10 10:53 UTC, chkno
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description chkno 2005-12-08 20:14:48 UTC
Over in bug 114734 it became apparent that some ebuilds (44 currently) do not
have whitespace around their depend operators.  Example:  DEPEND="|| (foo bar)"
instead of DEPEND="|| ( foo bar )".

Reproducible: Always
Steps to Reproduce:
Comment 1 chkno 2005-12-08 20:15:52 UTC
Created attachment 74361 [details, diff]
Fix the 44 ebuilds in the tree as of 20051208
Comment 2 chkno 2005-12-10 10:53:03 UTC
Created attachment 74446 [details, diff]
Make repoman validate whitespace around operators in metadata strings
Comment 3 Jason Stubbs (RETIRED) gentoo-dev 2005-12-30 23:28:54 UTC
Released in portage-2.1_pre3
Comment 4 Jason Stubbs (RETIRED) gentoo-dev 2006-01-27 19:25:34 UTC
Released in 2.1_pre4